%define         anolis_release 2

%{!?_licensedir: %global license %%doc}
%global modname bcrypt

Name:           python-bcrypt
Version:        3.2.2
Release:        %{anolis_release}%{?dist}
Summary:        Modern password hashing for your software and your servers

License:        ASL 2.0 and Public Domain and BSD
URL:            http://pypi.python.org/pypi/bcrypt
Source0:        %pypi_source bcrypt

BuildRequires:  gcc

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-cffi
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-pytest

%description
Modern password hashing for your software and your servers

%package        -n python%{python3_pkgversion}-%{modname}
Summary:        Modern password hashing for your software and your servers
Requires:       python%{python3_pkgversion}-six
Requires:       python%{python3_pkgversion}-cffi
Conflicts:      python3-py-bcritp
Provides:       python3-py-bcrypt = 0.4-11
Obsoletes:      python3-py-bcrypt < 0.4-11

%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}

%description    -n python%{python3_pkgversion}-%{modname}
Modern password hashing for your software and your servers

%package        -n python%{python3_pkgversion}-%{modname}-doc
Summary:        Documentation files for %{name}
Requires:       python%{python3_pkgversion}-%{modname} = %{version}-%{release}
BuildArch:      noarch

%description    -n python%{python3_pkgversion}-%{modname}-doc
The python%{python3_pkgversion}-%{modname}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{modname}-%{version}

%build
%py3_build

%install
%py3_install

find %{buildroot}%{python3_sitearch} -name '*.so' -exec chmod 755 {} ';'

%generate_compatibility_deps

%check
%{__python3} setup.py test

%files -n python%{python3_pkgversion}-%{modname}
%license LICENSE
%{python3_sitearch}/%{modname}/
%{python3_sitearch}/%{modname}-%{version}*
%dir %{abidir}
%{abidir}/_bcrypt*.dump

%files -n python%{python3_pkgversion}-%{modname}-doc
%doc %doc README.rst

%changelog
* Fri Mar 22 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 3.2.2-2
- Rebuild with python3.11

* Tue Mar 28 2023 Feng Su <sufeng@linux.alibaba.com>  - 3.2.2-1
- package init from upstream
